asfsm(1.0pre13)

NAME
asfsm - the AfterStep file system monitor

SYNOPSIS
asfsm [-bg] [-fg] [-bp] [-z] [-pbg] [-pfg] [-pbp] [-i]

DESCRIPTION
The asfsm application is a file system monitor for the AfterStep window manager. It displays "raised" horizontal bars representing the percent used of each mounted filesystem. Filesystems of zero initial block size are represented as "lowered" horizontal bars that span the entire window if the -showzero option is used, otherwise they are not shown at all. asfsm checks the filesystem usage on an interval. Filesystems mounted between intervals will appear after the next scan. Left clicking the mouse in a bar pops up a window displaying detailed information about the filesystem that the bar represents. Left clicking the mouse in the border or anywhere not occupied by a bar pops up a window which displays the filesystem names and mount directories for each filesystem available for mount (excluding NFS filesystems on sun machines). An icon surrounded by a colored rectangle displays the filesystem type and status. A red rectangle denotes an unmounted filesystem, a green denotes a mounted filesystem and a yellow rectangle denotes a filesystem which users do not have permission to mount or unmount. A zip disk image is displayed for all filesystems whose device name contain "zip", a Compact Disc is displayed for all filesystems whose type is "RCKRDG", "ISO9660", "iso9660", or "hsfs", a floppy image is displayed for all filesystems whose device name contains "fd", a dos floppy image is displayed for all floppies whose device type is "DOS" or "msdos", a dos hard disk image is displayed for all non-floppies whose device type is "DOS" or "msdod", a networking image is displayed for all nfs filesystems (whose filesystem names have a":" in them) and an image of a hard drive platter with a devil on it is displayed for everything else. Left clicking inside the colored rectangle toggles the mount status of the filesystem.

CONFIGURATION OPTIONS

-showzero
    Shows zero sized filesystems such as /proc.

-bg
    Changes background color of the main window.

-fg
    Changes foreground color of the main window.

-bp
    Changes background pixmap of the main window. Can also be None which lets the background color show through.

-z
    Changes foreground color for filesystems of zero initial block size.

-pbg
    Changes background color of the popup window.

-pfg
    Changes foreground color of the popup window.

-pbd
    Changes border color of the popup window.

-pbp
    Changes background pixmap of the popup window. Can also be None which lets the background color show through, Transparent which makes it transparent, or Translucent which makes it translucent.

-i
    Changes the interval of scan in seconds. The default is every 5 seconds.

INVOCATION
asfsm can be called from one of many ways. The most common invocation is the command line:
	[user@host] ~% asfsm -b green -f blue -i 3 -pbp Translucent&
Another way to call asfsm is from the window manager:
	*Wharf - - MaxSwallow "asfsm"	asfsm -b green -f blue -i 3 -pbp Translucent&
This line, when placed in the .steprc file in the users home directory will cause asfsm a button on the Wharf (1) button bar under the afterstep (1) window manager.

COPYRIGHTS
GNU GPL v2

AUTHORS
David Muse <dmuse@engr.latech.edu> -- application and man page.